commit 000e8a9378b89ce7efbd309f79caf5be55cd79ce
Author: freddy77 <freddy77>
Date:   Mon Dec 28 12:42:14 2009 +0000

    Fix problem with iODBC (where sizeof(SQLWCHAR) == 4)

diff --git a/ChangeLog b/ChangeLog
index dd0a5a4..b20749a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Mon Dec 28 13:42:02 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/getdata.c:
+	- Fix problem with iODBC (where sizeof(SQLWCHAR) == 4)
+
 Tue Dec 22 15:56:11 EST 2009	JK Lowden <jklowden@freetds.org>
 	* Nmakefile added, builds db-lib on Win32 with nmake.exe
 	* src/odbc/convert_tds2sql.c remove unneeded cast
@@ -2023,4 +2027,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2916 2009/12/22 20:58:21 jklowden Exp $
+$Id: ChangeLog,v 1.2917 2009/12/28 12:42:14 freddy77 Exp $
diff --git a/src/odbc/unittests/getdata.c b/src/odbc/unittests/getdata.c
index 36c6019..dde0347 100644
--- a/src/odbc/unittests/getdata.c
+++ b/src/odbc/unittests/getdata.c
@@ -1,7 +1,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: getdata.c,v 1.14 2009/12/07 16:22:12 freddy77 Exp $";
+static char software_version[] = "$Id: getdata.c,v 1.15 2009/12/28 12:42:14 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char odbc_err[256];
@@ -108,7 +108,7 @@ main(int argc, char *argv[])
 			exit(1);
 		}
 
-		CHKGetData(1, type, buf, 16, NULL, "S");
+		CHKGetData(1, type, buf, 20, NULL, "S");
 		if (mycmp(buf, "test") != 0) {
 			printf("Wrong data result 2 res = '%s'\n", buf);
 			exit(1);

